## umbrello 4.13.0

=== CMakeLists.txt ===
project(umbrello)

cmake_minimum_required(VERSION 2.8)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

set(KDE4_BUILD_TESTS ON)  # for unit tests

set(VERSION_MAJOR "2")
set(VERSION_MINOR "12")
set(VERSION_PATCH "97")

# set default umbrello version
# umbrello version could be overridden by cmake command line using -DUMBRELLO_VERSION_STRING=major.minor.patch
if(NOT UMBRELLO_VERSION_STRING)
    set(UMBRELLO_VERSION_STRING "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
    if(EXISTS ${CMAKE_SOURCE_DIR}/.git)
        execute_process(
            COMMAND git rev-parse --short HEAD
            WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
            OUTPUT_VARIABLE _hash
        )
        if(_hash)
           string(REPLACE "\n" "" hash ${_hash})
           set(UMBRELLO_VERSION_STRING "${UMBRELLO_VERSION_STRING}-${hash}")
        endif()
    endif()
endif()

message(STATUS "Using umbrello version ${UMBRELLO_VERSION_STRING}")
add_definitions(-DUMBRELLO_VERSION_STRING="${UMBRELLO_VERSION_STRING}")

# search packages used by KDE
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

# The FindKDE4.cmake module sets _KDE4_PLATFORM_DEFINITIONS with
# definitions like _GNU_SOURCE that are needed on each platform.
set(CMAKE_REQUIRED_DEFINITIONS ${_KDE4_PLATFORM_DEFINITIONS} -DQT_STRICT_ITERATORS)

macro_optional_find_package(LibXslt)
macro_log_feature(LIBXSLT_FOUND "LibXSLT" "A library to transform XMLfiles into other XML files" "http://xmlsoft.org/XSLT" FALSE "" "Required to build Umbrello.")
macro_optional_find_package(LibXml2)
macro_log_feature(LIBXML2_FOUND "LibXML2" "Libraries used to develop XML applications" "http://xmlsoft.org" FALSE "" "Required to build Umbrello.")

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
    ${KDE4_INCLUDES}
)

macro_display_feature_log()

KDE4_NO_ENABLE_FINAL(umbrello)

if(LIBXSLT_FOUND AND LIBXML2_FOUND)
    add_subdirectory( umbrello )
    add_subdirectory( doc )
    # do we build the unit tests
    if(KDE4_BUILD_TESTS)
        ENABLE_TESTING()
        add_subdirectory(unittests)
    endif(KDE4_BUILD_TESTS)
endif(LIBXSLT_FOUND AND LIBXML2_FOUND)

=== umbrello/CMakeLists.txt ===
add_subdirectory( pics )
add_subdirectory( headings )

########### set variables #############

# Some definitions for experimental code or debugging
#add_definitions(-DWANT_LVTOOLTIP)                # umllistiew
#add_definitions(-DXMI_FLAT_PACKAGES)             # umlobject
#add_definitions(-DDEBUG_LVITEM_INSERTION_ORDER)  # umllistviewitem
#add_definitions(-DTRY_BUGFIX_120682)             # model_utils
#add_definitions(-DQ_CC_MSVC)                     # preprocesslexer
#add_definitions(-DDEBUG_CPPTREE2UML)             # cpptree2uml
#add_definitions(-DDEBUG_PRINTING)                # umlview
#add_definitions(-DVERBOSE_DEBUGGING)             # listpopupmenu, association, petaltree2uml,
                                                  # umlobject, umldoc, classifierlistpage
if(UNIX)
    add_definitions(-D_GLIBCXX_PERMIT_BACKWARD_HASH)
endif()

include_directories(
  ${LIBXML2_INCLUDE_DIR}
  ${LIBXSLT_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/
  ${CMAKE_CURRENT_SOURCE_DIR}/clipboard/
  ${CMAKE_CURRENT_SOURCE_DIR}/cmds
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/ada/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/as/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/cpp/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/csharp/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/d/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/idl/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/java/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/js/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/pascal/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/perl/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/php/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/python/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/ruby/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/sql/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/tcl/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/vala/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/xml/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenwizard/
  ${CMAKE_CURRENT_SOURCE_DIR}/codeimport/
  ${CMAKE_CURRENT_SOURCE_DIR}/codeimport/csharp/
  ${CMAKE_CURRENT_SOURCE_DIR}/codeimpwizard/
  ${CMAKE_CURRENT_SOURCE_DIR}/debug/
  ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/
  ${CMAKE_CURRENT_SOURCE_DIR}/docgenerators/
  ${CMAKE_CURRENT_SOURCE_DIR}/refactoring/
  ${CMAKE_CURRENT_SOURCE_DIR}/widgets/
  ${CMAKE_SOURCE_DIR}/lib/cppparser/
  ${CMAKE_SOURCE_DIR}/lib/interfaces/
)

set(libdebug_SRCS
    debug/debug_utils.cpp
)

set(libcodegenerator_SRCS
    codegenerators/codegenfactory.cpp
    codegenerators/codegenpolicyext.cpp
    codegenerators/codeblock.cpp
    codegenerators/codeblockwithcomments.cpp
    codegenerators/codeclassfield.cpp
    codegenerators/codeclassfielddeclarationblock.cpp
    codegenerators/codecomment.cpp
    codegenerators/codedocument.cpp
    codegenerators/codegenerationpolicy.cpp
    codegenerators/codegenerator.cpp
    codegenerators/codegenobjectwithtextblocks.cpp
    codegenerators/codemethodblock.cpp
    codegenerators/codeoperation.cpp
    codegenerators/codeparameter.cpp
    codegenerators/codegen_utils.cpp
    codegenerators/hierarchicalcodeblock.cpp
    codegenerators/ownedcodeblock.cpp
    codegenerators/ownedhierarchicalcodeblock.cpp
    codegenerators/textblock.cpp
    codegenerators/java/javacodegenerator.cpp
    codegenerators/java/javaantcodedocument.cpp
    codegenerators/java/javacodeclassfield.cpp
    codegenerators/java/javaclassifiercodedocument.cpp
    codegenerators/java/javacodecomment.cpp
    codegenerators/java/javacodedocumentation.cpp
    codegenerators/java/javacodeoperation.cpp
    codegenerators/java/javacodeaccessormethod.cpp
    codegenerators/java/javaclassdeclarationblock.cpp
    codegenerators/java/javacodeclassfielddeclarationblock.cpp
    codegenerators/java/javacodegenerationpolicy.cpp
    codegenerators/java/javacodegenerationpolicypage.cpp
    codegenerators/cpp/cppcodegenerator.cpp
    codegenerators/cpp/cppcodedocumentation.cpp
    codegenerators/cpp/cppcodeclassfield.cpp
    codegenerators/cpp/cppcodecomment.cpp
    codegenerators/cpp/cppmakecodedocument.cpp
    codegenerators/cpp/cppsourcecodedocument.cpp
    codegenerators/cpp/cppsourcecodeoperation.cpp
    codegenerators/cpp/cppsourcecodeaccessormethod.cpp
    codegenerators/cpp/cppsourcecodeclassfielddeclarationblock.cpp
    codegenerators/cpp/cppheadercodedocument.cpp
    codegenerators/cpp/cppheaderclassdeclarationblock.cpp
    codegenerators/cpp/cppheadercodeoperation.cpp
    codegenerators/cpp/cppheadercodeaccessormethod.cpp
    codegenerators/cpp/cppheadercodeclassfielddeclarationblock.cpp
    codegenerators/cpp/cppcodegenerationpolicy.cpp
    codegenerators/cpp/cppcodegenerationpolicypage.cpp
    codegenerators/cpp/cppcodegenerationform.cpp
    codegenerators/d/dcodegenerator.cpp
    codegenerators/d/dcodedocumentation.cpp
    codegenerators/d/dcodeclassfield.cpp
    codegenerators/d/dcodecomment.cpp
    codegenerators/d/dclassdeclarationblock.cpp
    codegenerators/d/dclassifiercodedocument.cpp
    codegenerators/d/dcodeoperation.cpp
    codegenerators/d/dcodeaccessormethod.cpp
    codegenerators/d/dcodeclassfielddeclarationblock.cpp
    codegenerators/d/dcodegenerationpolicy.cpp
    codegenerators/d/dcodegenerationpolicypage.cpp
    codegenerators/ruby/rubycodegenerator.cpp
    codegenerators/ruby/rubycodeclassfield.cpp
    codegenerators/ruby/rubyclassifiercodedocument.cpp
    codegenerators/ruby/rubycodecomment.cpp
    codegenerators/ruby/rubycodedocumentation.cpp
    codegenerators/ruby/rubycodeoperation.cpp
    codegenerators/ruby/rubycodeaccessormethod.cpp
    codegenerators/ruby/rubyclassdeclarationblock.cpp
    codegenerators/ruby/rubycodeclassfielddeclarationblock.cpp
    codegenerators/ruby/rubycodegenerationpolicy.cpp
    codegenerators/ruby/rubycodegenerationpolicypage.cpp
    codegenerators/simplecodegenerator.cpp
    codegenerators/ada/adawriter.cpp
    codegenerators/as/aswriter.cpp
    codegenerators/cpp/cppwriter.cpp
    codegenerators/csharp/csharpwriter.cpp
    codegenerators/d/dwriter.cpp
    codegenerators/java/javawriter.cpp
    codegenerators/js/jswriter.cpp
    codegenerators/idl/idlwriter.cpp
    codegenerators/sql/mysqlwriter.cpp
    codegenerators/pascal/pascalwriter.cpp
    codegenerators/perl/perlwriter.cpp
    codegenerators/php/phpwriter.cpp
    codegenerators/php/php5writer.cpp
    codegenerators/sql/postgresqlwriter.cpp
    codegenerators/python/pythonwriter.cpp
    codegenerators/ruby/rubywriter.cpp
    codegenerators/sql/sqlwriter.cpp
    codegenerators/tcl/tclwriter.cpp
    codegenerators/vala/valawriter.cpp
    codegenerators/xml/xmlschemawriter.cpp
    codegenerators/xml/xmlelementcodeblock.cpp
    codegenerators/xml/xmlcodecomment.cpp
)

kde4_add_ui_files(  libcodegenerator_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/cpp/cppcodegenerationformbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/ruby/rubycodegenerationformbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/d/dcodegenerationformbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/java/javacodegenerationformbase.ui
)

set(libdocgenerator_SRCS
    docgenerators/docbookgenerator.cpp
    docgenerators/docbookgeneratorjob.cpp
    docgenerators/xhtmlgenerator.cpp
    docgenerators/docbook2xhtmlgeneratorjob.cpp
)

set(libdialogs_SRCS
    dialogs/autolayoutoptionpage.cpp
    dialogs/activitydialog.cpp
    dialogs/activitypage.cpp
    dialogs/assocgenpage.cpp
    dialogs/assocpage.cpp
    dialogs/assocpropdlg.cpp
    dialogs/assocrolepage.cpp
    dialogs/classgenpage.cpp
    dialogs/classifierlistpage.cpp
    dialogs/constraintlistpage.cpp
    dialogs/classoptionspage.cpp
    dialogs/classpropdlg.cpp
    dialogs/classwizard.cpp
    dialogs/codeeditor.cpp
    dialogs/codegenerationpolicypage.cpp
    dialogs/codeimportoptionspage.cpp
    dialogs/codeviewerdialog.cpp
    dialogs/codevieweroptionspage.cpp
    dialogs/codetextedit.cpp
    dialogs/codetexthighlighter.cpp
    dialogs/defaultcodegenpolicypage.cpp
    dialogs/diagrampropertiespage.cpp
    dialogs/diagramprintpage.cpp
    dialogs/dialog_utils.cpp
    dialogs/dialogbase.cpp
    dialogs/exportallviewsdialog.cpp
    dialogs/generaloptionpage.cpp
    dialogs/notedialog.cpp
    dialogs/objectnodedialog.cpp
    dialogs/overwritedialogue.cpp
    dialogs/pkgcontentspage.cpp
    dialogs/parmpropdlg.cpp
    dialogs/selectopdlg.cpp
    dialogs/settingsdlg.cpp
    dialogs/statedialog.cpp
    dialogs/umlattributedialog.cpp
    dialogs/umlcheckconstraintdialog.cpp
    dialogs/umlentityattributedialog.cpp
    dialogs/umlforeignkeyconstraintdialog.cpp
    dialogs/umlfiledialog.cpp
    dialogs/umloperationdialog.cpp
    dialogs/umltemplatedialog.cpp
    dialogs/umlroledialog.cpp
    dialogs/umlroleproperties.cpp
    dialogs/umluniqueconstraintdialog.cpp
    dialogs/umlviewdialog.cpp
    dialogs/umlwidgetstylepage.cpp
)

kde4_add_ui_files(  libdialogs_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/autolayoutoptionpage.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/codeviewerdialogbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/codevieweroptionsbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/exportallviewsdialogbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/umlrolepropertiesbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/diagrampropertiespage.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/codeimportoptionspage.ui
)

set(librefactoring_SRCS
    refactoring/refactoringassistant.cpp
)

set(libcodegenwizard_SRCS
    codegenwizard/codegenselectpage.cpp
    codegenwizard/codegenoptionspage.cpp
    codegenwizard/codegenstatuspage.cpp
    codegenwizard/codegenerationwizard.cpp
)

kde4_add_ui_files(  libcodegenwizard_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenwizard/codegenselectpage.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenwizard/codegenoptionspage.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenwizard/codegenstatuspage.ui
)

set(libcodeimpwizard_SRCS
    codeimpwizard/codeimpselectpage.cpp
    codeimpwizard/codeimpstatuspage.cpp
    codeimpwizard/codeimpthread.cpp
    codeimpwizard/codeimportingwizard.cpp
)

kde4_add_ui_files(  libcodeimpwizard_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/codeimpwizard/codeimpselectpage.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/codeimpwizard/codeimpstatuspage.ui
)

set(libcodeimport_SRCS
    codeimport/adaimport.cpp
    codeimport/classimport.cpp
    codeimport/idlimport.cpp
    codeimport/import_utils.cpp
    codeimport/javaimport.cpp
    codeimport/nativeimportbase.cpp
    codeimport/pascalimport.cpp
    codeimport/pythonimport.cpp
    codeimport/csharp/csharpimport.cpp
)

list(APPEND libcodeimport_SRCS
    codeimport/cppimport.cpp
)

set(libkdevcppparser_SRCS
    ${CMAKE_SOURCE_DIR}/lib/cppparser/ast.cpp
    ${CMAKE_SOURCE_DIR}/lib/cppparser/ast_utils.cpp
    ${CMAKE_SOURCE_DIR}/lib/cppparser/cachemanager.cpp
    ${CMAKE_SOURCE_DIR}/lib/cppparser/driver.cpp
    ${CMAKE_SOURCE_DIR}/lib/cppparser/errors.cpp
    ${CMAKE_SOURCE_DIR}/lib/cppparser/lexer.cpp
    ${CMAKE_SOURCE_DIR}/lib/cppparser/lexercache.cpp
    ${CMAKE_SOURCE_DIR}/lib/cppparser/lookup.cpp
    ${CMAKE_SOURCE_DIR}/lib/cppparser/parser.cpp
    ${CMAKE_SOURCE_DIR}/lib/cppparser/tree_parser.cpp
    ${CMAKE_SOURCE_DIR}/lib/interfaces/hashedstring.cpp
    codeimport/kdevcppparser/cpptree2uml.cpp
)

set(libclipboard_SRCS
    clipboard/umldragdata.cpp
    clipboard/umlclipboard.cpp
    clipboard/idchangelog.cpp
)

set(libcmds_SRCS
    cmds/cmd_createDiagram.cpp
    cmds/cmd_removeDiagram.cpp
    cmds/cmd_handleRename.cpp
    cmds/cmd_setStereotype.cpp
    cmds/cmd_setVisibility.cpp
    cmds/cmd_baseObjectCommand.cpp

    cmds/generic/cmd_createUMLObject.cpp
    cmds/generic/cmd_removeUMLObject.cpp
    cmds/generic/cmd_renameUMLObject.cpp

    cmds/widget/cmd_baseWidgetCommand.cpp
    cmds/widget/cmd_moveWidget.cpp
    cmds/widget/cmd_resizeWidget.cpp
    cmds/widget/cmd_removeWidget.cpp
    cmds/widget/cmd_changeFont.cpp
    cmds/widget/cmd_changeTextColor.cpp
    cmds/widget/cmd_changeLineColor.cpp
    cmds/widget/cmd_changeLineWidth.cpp

## umbrello 4.11.2

=== debian/changelog ===
umbrello (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 15:04:04 +0100

umbrello (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:47:31 +0100

umbrello (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:48:23 +0100

umbrello (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:18:19 +0100

umbrello (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:46 +0000

umbrello (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Michał Zając ]
  * New upstream bet release

  [ Philip Muškovac ]
  * Add file to umbrello.install

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:38:00 +0100

umbrello (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Initial package, split from umbrello

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 02:29:56 +0100

=== debian/control ===
Source: umbrello
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2),
 libxslt1-dev, libxml2-dev, libboost1.53-dev
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello

Package: umbrello
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: UML modelling tool and code generator
 Umbrello UML Modeller is a Unified Modelling Language diagram editor for KDE.
 It can create diagrams of software and other systems in the industry-standard
 UML format, and can also generate code from UML diagrams in a variety of
 programming languages.
 .
 This package is part of the KDE Software Development Kit module.

Package: umbrello-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kate-dbg
Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Suggests: umbrello (= ${source:Version})
Description: debugging symbols for Umbrello
 This package contains debugging files used to investigate problems with
 binaries included in Umbrello.

## umbrello 4.11.5

=== debian/changelog ===
umbrello (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:56:11 +0100

umbrello (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 16:14:39 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.5),
  libxslt1-dev, libxml2-dev, libboost1.53-dev
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello-13.10
 
 Package: umbrello
 Architecture: any

## umbrello 4.13.0

=== debian/changelog ===
umbrello (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:35:55 +0100

umbrello (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 12:04:32 +0200

umbrello (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 13:07:54 +0100

umbrello (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 12:12:50 +0000

umbrello (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:24:20 +0100

umbrello (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:38:16 +0000

umbrello (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:52:26 +0000

umbrello (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:55:54 +0000

umbrello (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:54:20 +0000

umbrello (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:48:35 +0100

umbrello (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 18:09:04 +0100

umbrello (4:4.11.2-0ubuntu2) trusty; urgency=low

  * Bump to Boost 1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 26 Oct 2013 22:26:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.5),
- libxslt1-dev, libxml2-dev, libboost1.53-dev
+ kdelibs5-dev (>= 4:4.13.0),
+ libxslt1-dev, libxml2-dev, libboost1.54-dev
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello
 
 Package: umbrello
 Architecture: any

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\.\d+)?$// \
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/umbrello-([\d\.]*).tar.xz

## umbrello 4.13.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 set(KDE4_BUILD_TESTS ON)  # for unit tests
 
 set(VERSION_MAJOR "2")
-set(VERSION_MINOR "12")
-set(VERSION_PATCH "97")
+set(VERSION_MINOR "13")
+set(VERSION_PATCH "3")
 
 # set default umbrello version
 # umbrello version could be overridden by cmake command line using -DUMBRELLO_VERSION_STRING=major.minor.patch

=== umbrello/CMakeLists.txt ===
--- 
+++ 
@@ -196,7 +196,6 @@
     dialogs/dialogbase.cpp
     dialogs/exportallviewsdialog.cpp
     dialogs/generaloptionpage.cpp
-    dialogs/notedialog.cpp
     dialogs/objectnodedialog.cpp
     dialogs/overwritedialogue.cpp
     dialogs/pkgcontentspage.cpp
@@ -314,3 +313,4 @@
     cmds/widget/cmd_changeTextColor.cpp
     cmds/widget/cmd_changeLineColor.cpp
     cmds/widget/cmd_changeLineWidth.cpp
+    cmds/widget/cmd_changeFillColor.cpp

=== unittests/CMakeLists.txt ===
IF( KDE4_BUILD_TESTS )

  set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
  set( SRC_PATH ../umbrello )

  include_directories(
      ${LIBXML2_INCLUDE_DIR}
      ${LIBXSLT_INCLUDE_DIR}
      ${CMAKE_SOURCE_DIR}
      ${SRC_PATH}
      ${SRC_PATH}/debug/
      ${SRC_PATH}/dialogs/
      ${SRC_PATH}/clipboard
      ${SRC_PATH}/cmds
      ${SRC_PATH}/codegenerators
      ${SRC_PATH}/codegenerators/ada/
      ${SRC_PATH}/codegenerators/as/
      ${SRC_PATH}/codegenerators/cpp/
      ${SRC_PATH}/codegenerators/csharp/
      ${SRC_PATH}/codegenerators/d/
      ${SRC_PATH}/codegenerators/idl/
      ${SRC_PATH}/codegenerators/java/
      ${SRC_PATH}/codegenerators/js/
      ${SRC_PATH}/codegenerators/pascal/
      ${SRC_PATH}/codegenerators/perl/
      ${SRC_PATH}/codegenerators/php/
      ${SRC_PATH}/codegenerators/python/
      ${SRC_PATH}/codegenerators/ruby/
      ${SRC_PATH}/codegenerators/sql/
      ${SRC_PATH}/codegenerators/tcl/
      ${SRC_PATH}/codegenerators/vala/
      ${SRC_PATH}/codegenerators/xml/
      ${SRC_PATH}/codegenwizard
      ${SRC_PATH}/codeimport
      ${SRC_PATH}/debug
      ${SRC_PATH}/dialogs
      ${SRC_PATH}/docgenerators
      ${SRC_PATH}/refactoring
      ${SRC_PATH}/widgets
      ${CMAKE_CURRENT_BINARY_DIR}
      ${KDE4_INCLUDES}
  )

  link_directories(
      ${CMAKE_CURRENT_BINARY_DIR}/../umbrello/umbrello
      ${CMAKE_CURRENT_BINARY_DIR}/../umbrello/umbrello/CMakeFiles/umbrello.dir
      ${CMAKE_CURRENT_BINARY_DIR}/../umbrello/umbrello/CMakeFiles/umbrello.dir/dialogs

  )

  MACRO(UNIT_TESTS)
      FOREACH(_className ${ARGN})
          MESSAGE(STATUS "Unit test: ${_className}")
          set(_testName TEST_${_className})
          kde4_add_unit_test(${_testName} TESTNAME umbrello-${_testName} NOGUI ${_testName}.cpp
              ${SRC_PATH}/${_className}.cpp)
          target_link_libraries(${_testName} ${QT_QTTEST_LIBRARY}
              ${KDE4_KFILE_LIBS} ${LIBXML2_LIBRARIES} ${LIBXSLT_LIBRARIES})
      ENDFOREACH(_className)
  ENDMACRO(UNIT_TESTS)

  unit_tests(
      basictypes
#      classifier
#      cppwriter
#      pythonwriter
  )

ENDIF( KDE4_BUILD_TESTS )

=== umbrello/pics/CMakeLists.txt ===

add_subdirectory(global)

install( FILES actor.png  aggregation.png
align-horizontal-left.png  align-horizontal-right.png
align-vertical-top.png  align-vertical-bottom.png
align-vertical-center.png  align-horizontal-center.png
distribute-vertical.png  distribute-horizontal.png
anchor.png  andline.png  arrow.png  association.png
choice-rhomb.png  choice-round.png  combined_fragment.png
component.png  region.png  composition.png  containment.png
CVglobal_meth.png  CVglobal_var.png  CVimplementation_meth.png  
CVimplementation_signal.png  CVimplementation_slot.png  CVimplementation_var.png
CVnamespace.png  CVprivate_meth.png  CVprivate_signal.png
CVprivate_slot.png  CVprivate_var.png  CVprotected_meth.png  
CVprotected_signal.png  CVprotected_slot.png  CVprotected_var.png
CVpublic_meth.png  CVpublic_signal.png  CVpublic_slot.png
CVpublic_var.png  CVstruct.png
deep-history.png  shallow-history.png
dependency.png  final_activity.png  end_state.png  generalisation.png
initial_state.png  interface.png  join.png  junction.png  datatype.png  enum.png  
umbr-coll-message-synchronous.png  umbr-coll-message-asynchronous.png
umbr-message-synchronous.png  umbr-message-asynchronous.png
note.png pin.png object_node.png object.png  
startlogo.png  template.png  text.png  refactor.png  
class.png  uniassociation.png  usecase.png
category.png child2category.png category2parent.png branch.png
activity-fork.png  state-fork.png  package.png  artifact.png  
box.png  node.png  entity.png  relationship.png
subsystem.png foreignkey_constraint.png unique_constraint.png
primarykey_constraint.png check_constraint.png
cursor-actor.png  umbr-message-found.png  accept_signal.png
accept_time_event.png  send_signal.png  cursor-andline.png  
cursor-choice-rhomb.png  cursor-choice-round.png  cursor-combined_fragment.png
cursor-deep-history.png  cursor-join.png  cursor-junction.png
cursor-category.png cursor-child2category.png cursor-category2parent.png
cursor-shallow-history.png  cursor-state-fork.png  cursor-usecase.png
cursor-initial_state.png  cursor-package.png  cursor-aggregation.png
cursor-component.png  cursor-containment.png  cursor-interface.png
cursor-datatype.png  cursor-enum.png  cursor-text.png
cursor-anchor.png cursor-pin.png cursor-composition.png
cursor-umbr-message-synchronous.png  cursor-umbr-message-asynchronous.png
cursor-umbr-message-asynchronous.png  cursor-class.png  cursor-artifact.png
cursor-dependency.png  cursor-umbr-message-synchronous.png  cursor-uniassociation.png
cursor-association.png  cursor-end_state.png  cursor-final_activity.png
cursor-node.png  cursor-box.png  cursor-activity-fork.png
cursor-note.png  cursor-branch.png  cursor-generalisation.png
cursor-object.png  cursor-entity.png  cursor-relationship.png
precondition.png  cursor-precondition.png  cursor-send_signal.png
cursor-accept_signal.png  cursor-accept_time_event.png  cursor-region.png
cursor-umbr-message-found.png  umbr-message-lost.png  cursor-umbr-message-lost.png
end_of_life.png  cursor-end_of_life.png  exception.png 
cursor-exception.png cursor-object_node.png
cursor-PrePostCondition.png PrePostCondition.png
DESTINATION ${DATA_INSTALL_DIR}/umbrello/pics )

kde4_install_icons(${DATA_INSTALL_DIR}/umbrello/icons)

=== debian/changelog ===
umbrello (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:39:47 +0200

umbrello (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:56:00 +0200

umbrello (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)
    - add new icons to install file

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:57:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
  libxslt1-dev, libxml2-dev, libboost1.54-dev
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_installman:
	$(overridden_command) --language=C

override_dh_strip:
	$(overridden_command) --dbg-package=umbrello-dbg

## umbrello 4.14.1

=== debian/changelog ===
umbrello (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 18:06:35 +0200

umbrello (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:48:45 +0200

umbrello (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:44:21 +0200

umbrello (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 21:02:20 +0200

umbrello (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:54:52 +0200

umbrello (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:42:06 +0100

umbrello (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 22 May 2014 16:37:12 +0200

umbrello (4:4.12.4-1) unstable; urgency=medium

  * Wrong Upstream-Name in copyright file.
  * New upstream release. (Closes: #740536)
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:30 +0200

umbrello (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:32 +0100

umbrello (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:56 +0100

umbrello (4:4.11.5-1) unstable; urgency=medium

  * New upstream release.

  [ Pino Toscano ]
  * Add the pkg-config build dependency.

  [ Maximiliano Curia ]
  * Add autopkgtests.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Feb 2014 17:01:05 +0100

umbrello (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 14:26:37 +0100

umbrello (4:4.11.2-1) experimental; urgency=low

  * First release of kdesdk after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 10:58:24 +0200

umbrello (4:4.13.0-0ubuntu2) UNRELEASED; urgency=medium

  * Build against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 22:15:52 +0100

=== debian/control ===
Source: umbrello
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libboost-dev (>= 1.33.1),
               libxml2-dev,
               libxslt1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/umbrello.git
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/umbrello.git

Package: umbrello
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter4
Description: UML modelling tool and code generator
 Umbrello UML Modeller is a Unified Modelling Language diagram editor for KDE.
 It can create diagrams of software and other systems in the industry-standard
 UML format, and can also generate code from UML diagrams in a variety of
 programming languages.
 .
 This package is part of the KDE Software Development Kit module.

## umbrello 4.14.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 set(KDE4_BUILD_TESTS ON)  # for unit tests
 
 set(VERSION_MAJOR "2")
-set(VERSION_MINOR "13")
-set(VERSION_PATCH "3")
+set(VERSION_MINOR "14")
+set(VERSION_PATCH "2")
 
 # set default umbrello version
 # umbrello version could be overridden by cmake command line using -DUMBRELLO_VERSION_STRING=major.minor.patch
@@ -34,6 +34,9 @@
 find_package(KDE4 REQUIRED)
 include(KDE4Defaults)
 include(MacroLibrary)
+
+message(STATUS "Using automoc4 version ${AUTOMOC4_VERSION}")
+message(STATUS "Using cmake version ${CMAKE_VERSION}")
 
 # The FindKDE4.cmake module sets _KDE4_PLATFORM_DEFINITIONS with
 # definitions like _GNU_SOURCE that are needed on each platform.

=== debian/changelog ===
umbrello (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:13 +0200

umbrello (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:33 +0200

umbrello (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Aug 2014 15:19:54 +0200

umbrello (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.
  * New patch: valgrind_errors (Closes: #610504)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 25 Jul 2014 12:23:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: umbrello
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -11,7 +10,7 @@
 Build-Depends: cmake (>= 2.8),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.11),
                libboost-dev (>= 1.33.1),
                libxml2-dev,
                libxslt1-dev,
@@ -20,10 +19,8 @@
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/umbrello.git
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/umbrello.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/umbrello.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/umbrello.git
 
 Package: umbrello
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/umbrello-([\d.]+).tar.xz

## umbrello 14.12.3

=== debian/changelog ===
umbrello (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:26:19 -0700

umbrello (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with 
    remote site does not even have current version

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:29:15 -0800

umbrello (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 17:06:43 +0100

umbrello (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release
  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Dec 2014 18:18:27 +0100

umbrello (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  *  Fix copyright to use GPL-KDEeV as short license. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:55:48 -0700

=== debian/control ===
Source: umbrello
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               libboost-dev (>= 1.33.1),
               libxml2-dev,
               libxslt1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/umbrello.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/umbrello.git

Package: umbrello
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: UML modelling tool and code generator
 Umbrello UML Modeller is a Unified Modelling Language diagram editor for KDE.
 It can create diagrams of software and other systems in the industry-standard
 UML format, and can also generate code from UML diagrams in a variety of
 programming languages.
 .
 This package is part of the KDE Software Development Kit module.

## umbrello 15.08.2

=== debian/changelog ===
umbrello (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 13:09:45 +0100

umbrello (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:48:50 +0100

umbrello (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 18:24:31 +0100

umbrello (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 12:35:42 +0100

umbrello (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * wrap-and-sort 

  [ Jonathan Riddell ]
  * New upstream release
  * Disable applying valgrind_errors, some is no longer needed, the rest is
    undocumented and upstream requests comments
    https://mail.kde.org/pipermail/umbrello-devel/2015-June/019594.html

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 22:46:15 +0200

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,12 @@
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
                libboost-dev (>= 1.33.1),
+               libx11-dev,
                libxml2-dev,
                libxslt1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/umbrello.git/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp
